<?php
/**
* Additional Woocommerce Settings.
*
* @package Local Supermarket
*/

$local_supermarket_default = local_supermarket_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'local_supermarket_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'local-supermarket' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'local_supermarket_theme_option_panel',
	)
);

	$wp_customize->add_setting('local_supermarket_per_columns',
		array(
		'default'           => $local_supermarket_default['local_supermarket_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'local_supermarket_sanitize_number_range',
		)
	);
	$wp_customize->add_control('local_supermarket_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'local-supermarket'),
		'section'     => 'local_supermarket_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('local_supermarket_product_per_page',
		array(
		'default'           => $local_supermarket_default['local_supermarket_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'local_supermarket_sanitize_number_range',
		)
	);
	$wp_customize->add_control('local_supermarket_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'local-supermarket'),
		'section'     => 'local_supermarket_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('local_supermarket_show_hide_related_product',
    array(
        'default' => $local_supermarket_default['local_supermarket_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'local_supermarket_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('local_supermarket_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'local-supermarket'),
	        'section' => 'local_supermarket_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('local_supermarket_custom_related_products_number',
		array(
		'default'           => $local_supermarket_default['local_supermarket_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'local_supermarket_sanitize_number_range',
		)
	);
	$wp_customize->add_control('local_supermarket_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'local-supermarket'),
		'section'     => 'local_supermarket_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('local_supermarket_custom_related_products_number_per_row',
		array(
		'default'           => $local_supermarket_default['local_supermarket_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'local_supermarket_sanitize_number_range',
		)
	);
	$wp_customize->add_control('local_supermarket_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'local-supermarket'),
		'section'     => 'local_supermarket_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);